﻿package spec.coderunner.types {
	import flash.display.MovieClip;
	import spec.coderunner.CodeRunnerHandle;

	public class CRExit extends spec.coderunner.CodeRunnerHandle {
		private var opened:Boolean = false;
		
		public var xpos:int;
		public var ypos:int;
		
		public function CRExit(hold:MovieClip, exit:Class, xp:int, yp:int){
			mcHandle = new exit();
			mcHandle.x = (xp * 30) + 5;
			mcHandle.y = yp * 30;
			hold.addChild(mcHandle);
			xpos = xp;
			ypos = yp;
		}
		
		override public function unload(hold:MovieClip):void {
			hold.removeChild(mcHandle);
		}
		
		public function open():void {
			mcHandle.gotoAndPlay("opening");
			opened = true;
		}
		
		public function clock(player:CRPlayer):Boolean {
			if (!opened){
				return false;
			}
			
			if (player.xpos == xpos && player.ypos == ypos){
				return true;
			} else {
				return false;
			}
		}
	}
}