﻿package spec.coderunner.types {
	import flash.display.MovieClip;
	import spec.coderunner.CodeRunnerHandle;

	public class CRCollectible extends spec.coderunner.CodeRunnerHandle {
		private var scoreGain:int;
		
		public var collected:Boolean = false;
		
		public var xpos:int;
		public var ypos:int;
		
		public function CRCollectible(hold:MovieClip, collectible:Class, score:int, xp:int, yp:int){
			mcHandle = new collectible();
			mcHandle.x = (xp * 30) + 5;
			mcHandle.y = yp * 30;
			hold.addChild(mcHandle);
			scoreGain = score;
			xpos = xp;
			ypos = yp;
		}
		
		override public function unload(hold:MovieClip):void {
			hold.removeChild(mcHandle);
		}
		
		public function clock(player:CRPlayer):int {
			if (collected){
				return 0;
			}
			
			if (player.xpos == xpos && player.ypos == ypos){
				mcHandle.gotoAndPlay("collect");
				collected = true;
				return scoreGain;
			} else {
				return 0;
			}
		}
	}
}