﻿package spec.coderunner.types {
	import flash.display.MovieClip;
	import spec.coderunner.CodeRunnerHandle;
	import spec.coderunner.CodeRunnerTerrain;

	public class CRHardTerrain extends spec.coderunner.CodeRunnerTerrain {
		override public function getType():String {
			return "hard";
		}
		
		public var xpos:int;
		public var ypos:int;
		
		public function CRHardTerrain(hold:MovieClip, hard:Class, tileMap:Array, xp:int, yp:int){
			mcHandle = new hard();
			mcHandle.x = (xp * 30) + 5;
			mcHandle.y = yp * 30;
			xpos = xp;
			ypos = yp;
			
			var noLeft:Boolean = false;
			var noRight:Boolean = false;
			
			var row:Array = tileMap[ypos];
			
			if (xpos == 0 || (row[xpos - 1] != 1 && row[xpos - 1] != 2)){
				noLeft = true;
			}
			if (xpos == row.length - 1 || (row[xpos + 1] != 1 && row[xpos + 1] != 2)){
				noRight = true;
			}
			
			if (noLeft && !noRight){
				mcHandle.gotoAndStop(2);
			} else if (!noLeft && noRight){
				mcHandle.gotoAndStop(3);
			} else if (noLeft && noRight){
				mcHandle.gotoAndStop(4);
			} else {
				mcHandle.gotoAndStop(1);
			}
			hold.addChild(mcHandle);
		}
	}
}